Bug 242371 - Black bar in wide screen laptop with xorg-x11-drv-i810 intel driver
Black bar in wide screen laptop with xorg-x11-drv-i810 intel driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 15:32 EDT by Ilpo Nyyssonen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.0.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 17:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (82.72 KB, text/plain)
2007-06-03 15:32 EDT, Ilpo Nyyssonen
no flags Details
xorg.conf (997 bytes, text/plain)
2007-06-03 15:33 EDT, Ilpo Nyyssonen
no flags Details
Xorg.0.log #2 (105.73 KB, text/plain)
2007-06-04 11:45 EDT, Ilpo Nyyssonen
no flags Details

  None (edit)
Description Ilpo Nyyssonen 2007-06-03 15:32:15 EDT
Description of problem:

With Bug 202476 causing problems in Fedora Core 6, I upgraded today to Fedora 7
with a hope that it would be better.

The resolution looks correct (1280x768), but there is a black bar in the right
side of the screen cutting the visible area to 1024x768.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.0.0-3.fc7

Additional info:

This is Lifebook P7010. The screen resolution is 1280x768.
Comment 1 Ilpo Nyyssonen 2007-06-03 15:32:15 EDT
Created attachment 156031 [details]
Xorg.0.log
Comment 2 Ilpo Nyyssonen 2007-06-03 15:33:08 EDT
Created attachment 156032 [details]
xorg.conf
Comment 3 Ilpo Nyyssonen 2007-06-04 11:45:35 EDT
Created attachment 156088 [details]
Xorg.0.log #2

It seems that it gets the LVDS panel size wrong.

xrandr -q says this:

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1360 x 1360
VGA connected 1024x768+0+0 (normal left inverted right) 0mm x 0mm
   1024x768	  60.0*+
   1360x768	  59.8	   60.0  
   1280x800	  60.0	
   1152x864	  60.0	
   1280x768	  60.0	
   1280x720	  60.0	
   800x600	  60.3	
   640x480	  59.9	
LVDS connected 1024x768+0+0 (normal left inverted right) 0mm x 0mm
   1024x768	  59.2 +   85.0     75.0     70.1     60.0* 
   832x624	  74.6	
   800x600	  85.1	   72.2     75.0     60.3     56.2  
   640x480	  85.0	   72.8     75.0     59.9  
   720x400	  85.0	
   640x400	  85.1	
   640x350	  85.1	
TMDS disconnected (normal left inverted right)

Attaching new Xorg.0.log that has ModeDebug on.

Any documentation about configuring RandR?
Comment 4 Ilpo Nyyssonen 2007-06-04 11:55:37 EDT
This sound like the same thing:

http://www.spinics.net/lists/xorg/threads.html#24127
Comment 5 Ilpo Nyyssonen 2007-06-04 12:08:49 EDT
I take that comment #4 back, it doesn't sound exactly the same thing.
Comment 6 Ilpo Nyyssonen 2007-06-04 13:01:11 EDT
OK, I checked out latest xf86-video-intel git repository, compiled it (commit
0984c1fc0963f1ebab31f5b8fce5ad4c387fbd2c), replaced the original intel_drv.so
with the compiled one and now it works ok.
Comment 7 Adam Jackson 2007-06-11 17:30:35 EDT
Can you try the intel driver in xorg-x11-drv-i810 2.0.0-4 in rawhide?

http://koji.fedoraproject.org/packages/xorg-x11-drv-i810/2.0.0/4.fc8/i386/xorg-x11-drv-i810-2.0.0-4.fc8.i386.rpm

If this works I'll submit it as an update to F-7.
Comment 8 Ilpo Nyyssonen 2007-06-12 10:11:25 EDT
Yes, looks OK.
Comment 9 Fedora Update System 2007-06-14 17:11:42 EDT
xorg-x11-drv-i810-2.0.0-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-06-19 17:37:59 EDT
xorg-x11-drv-i810-2.0.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.